Integrations API

Users

Returns a list of users.

Deprecated
GET
/v1/users

Authorization

headerAuthorization<token>

Query Parameters

email?string

email to search for

phone_number?string

phone number to search for

limit?integer

Maximum number of items per page. With upper bound set to 200.

Rangevalue <= 200

Response Body

A JSON array of users

application/json
  1. response
data*array<User>
paging?
curl -X GET 'https://example.com/v1/users' \  -H 'Authorization: <API token>'
{
"data": [
{
"id": "string",
"email": "string",
"name": "string",
"roles": [
"string"
],
"avatar_url": "string",
"phone_number": "string"
}
],
"paging": {
"cursors": {
"after": "string",
"before": "string"
},
"next_page": "string",
"prev_page": "string"
}
}

Create a user

Deprecated
POST
/v1/users

Authorization

headerAuthorization<token>

Request Body

The user to create

body*CreateUserInputapplication/json

Response Body

The user was created

application/json
  1. response
data*User
paging?
curl -X POST 'https://example.com/v1/users' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{}'
{
"data": {
"id": "string",
"email": "string",
"name": "string",
"roles": [
"string"
],
"avatar_url": "string",
"phone_number": "string"
},
"paging": {
"cursors": {
"after": "string",
"before": "string"
},
"next_page": "string",
"prev_page": "string"
}
}
GET
/v1/users/{userId}/requested_conversations

Authorization

headerAuthorization<token>

Path Parameters

userId*string

Id of the requester

Query Parameters

limit?integer

Maximum number of items per page. With upper bound set to 200.

Rangevalue <= 200

Response Body

A JSON array of conversations

application/json
  1. response
data*array<>
paging?
curl -X GET 'https://example.com/v1/users/{userId}/requested_conversations' \  -H 'Authorization: <API token>'
{
"data": [
{
"id": 0,
"created_at": "2015-11-30T00:00:00:000Z",
"requester_id": "string",
"channel": "widget_chat",
"direction": "outbound",
"queued_at": "2015-11-30T00:00:00:000Z",
"queue_id": "string",
"status": "open",
"status_updated_at": "2015-11-30T00:00:00:000Z",
"attributes": {},
"assigned_to": "string",
"assigned_at": "2015-11-30T00:00:00:000Z"
}
],
"paging": {
"cursors": {
"after": "string",
"before": "string"
},
"next_page": "string",
"prev_page": "string"
}
}
POST
/v1/anonymization_request

Authorization

headerAuthorization<token>

Request Body

Entity info to schedule anonymization

body*CreateAnonymizationRequestInputapplication/json

Response Body

Scheduled anonymization

application/json
  1. response
data?ScheduleAnonymizationResponse
curl -X POST 'https://example.com/v1/anonymization_request' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "entity_id": "string",  "entity_type": "user"}'
{
"data": {
"id": "string",
"target_entity_id": "string",
"entity_type": "user",
"initiated_at": "string",
"requested_by": "string",
"processed_at": "string"
}
}
GET
/v1/anonymization_request/{requestId}

Authorization

headerAuthorization<token>

Path Parameters

requestId*string

Response Body

Anonymization request

application/json
  1. response
data?ScheduleAnonymizationResponse
curl -X GET 'https://example.com/v1/anonymization_request/{requestId}' \  -H 'Authorization: <API token>'
{
"data": {
"id": "string",
"target_entity_id": "string",
"entity_type": "user",
"initiated_at": "string",
"requested_by": "string",
"processed_at": "string"
}
}